Logo AND Algorithmique Numérique Distribuée

Public GIT Repository
6d3268a96bd89a1852256ded2ef2d570db45a4e8
[simgrid.git] / examples / gras / timer / Makefile.in
1 # Makefile.in generated by automake 1.9.6 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Makefile chunk which allows to display the files which should be included
18 # into the distribution.
19
20 # It is intended to be included in all Makefile.am 
21
22 srcdir = @srcdir@
23 top_srcdir = @top_srcdir@
24 VPATH = @srcdir@
25 pkgdatadir = $(datadir)/@PACKAGE@
26 pkglibdir = $(libdir)/@PACKAGE@
27 pkgincludedir = $(includedir)/@PACKAGE@
28 top_builddir = ../../..
29 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
30 INSTALL = @INSTALL@
31 install_sh_DATA = $(install_sh) -c -m 644
32 install_sh_PROGRAM = $(install_sh) -c
33 install_sh_SCRIPT = $(install_sh) -c
34 INSTALL_HEADER = $(INSTALL_DATA)
35 transform = $(program_transform_name)
36 NORMAL_INSTALL = :
37 PRE_INSTALL = :
38 POST_INSTALL = :
39 NORMAL_UNINSTALL = :
40 PRE_UNINSTALL = :
41 POST_UNINSTALL = :
42 build_triplet = @build@
43 host_triplet = @host@
44 target_triplet = @target@
45 noinst_PROGRAMS = timer_client$(EXEEXT) timer_simulator$(EXEEXT)
46 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
47         $(srcdir)/test_rl.in $(srcdir)/test_sg.in \
48         $(top_srcdir)/acmacro/dist-files.mk \
49         $(top_srcdir)/examples/temps-gras-stub.mk
50 subdir = examples/gras/timer
51 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
52 am__aclocal_m4_deps = $(top_srcdir)/acmacro/ac_func_snprintf.m4 \
53         $(top_srcdir)/acmacro/compiler-flags.m4 \
54         $(top_srcdir)/acmacro/context.m4 \
55         $(top_srcdir)/acmacro/fancy_configury.m4 \
56         $(top_srcdir)/acmacro/flex.m4 \
57         $(top_srcdir)/acmacro/gras_arch.m4 \
58         $(top_srcdir)/acmacro/print_null.m4 \
59         $(top_srcdir)/acmacro/va_copy.m4 $(top_srcdir)/configure.ac
60 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
61         $(ACLOCAL_M4)
62 mkinstalldirs = $(install_sh) -d
63 CONFIG_HEADER = $(top_builddir)/src/gras_config.h
64 CONFIG_CLEAN_FILES = test_sg test_rl
65 PROGRAMS = $(noinst_PROGRAMS)
66 am_timer_client_OBJECTS = _timer_client.$(OBJEXT) timer.$(OBJEXT)
67 timer_client_OBJECTS = $(am_timer_client_OBJECTS)
68 timer_client_DEPENDENCIES = $(top_builddir)/src/libgras.la
69 am_timer_simulator_OBJECTS = _timer_simulator.$(OBJEXT) \
70         timer.$(OBJEXT)
71 timer_simulator_OBJECTS = $(am_timer_simulator_OBJECTS)
72 timer_simulator_DEPENDENCIES = $(top_builddir)/src/libsimgrid.la
73 DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)/src
74 depcomp = $(SHELL) $(top_srcdir)/depcomp
75 am__depfiles_maybe = depfiles
76 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
77         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
78 LTCOMPILE = $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) \
79         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
80         $(AM_CFLAGS) $(CFLAGS)
81 CCLD = $(CC)
82 LINK = $(LIBTOOL) --tag=CC --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
83         $(AM_LDFLAGS) $(LDFLAGS) -o $@
84 SOURCES = $(timer_client_SOURCES) $(timer_simulator_SOURCES)
85 DIST_SOURCES = $(timer_client_SOURCES) $(timer_simulator_SOURCES)
86 ETAGS = etags
87 CTAGS = ctags
88 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
89 ACLOCAL = @ACLOCAL@
90 ADDR2LINE = @ADDR2LINE@
91 AMDEP_FALSE = @AMDEP_FALSE@
92 AMDEP_TRUE = @AMDEP_TRUE@
93 AMTAR = @AMTAR@
94 AR = @AR@
95 AS = @AS@
96 AUTOCONF = @AUTOCONF@
97 AUTOHEADER = @AUTOHEADER@
98 AUTOMAKE = @AUTOMAKE@
99 AWK = @AWK@
100 BASH = @BASH@
101 CC = @CC@
102 CCDEPMODE = @CCDEPMODE@
103 CFLAGS = @CFLAGS@
104 CPP = @CPP@
105 CPPFLAGS = @CPPFLAGS@
106 CXX = @CXX@
107 CXXCPP = @CXXCPP@
108 CXXDEPMODE = @CXXDEPMODE@
109 CXXFLAGS = @CXXFLAGS@
110 CYGPATH_W = @CYGPATH_W@
111 DEFS = @DEFS@
112 DEPDIR = @DEPDIR@
113 DLLTOOL = @DLLTOOL@
114 DOXYGEN = @DOXYGEN@
115 ECHO = @ECHO@
116 ECHO_C = @ECHO_C@
117 ECHO_N = @ECHO_N@
118 ECHO_T = @ECHO_T@
119 EGREP = @EGREP@
120 EXEEXT = @EXEEXT@
121 F77 = @F77@
122 FFLAGS = @FFLAGS@
123 FLEXML = @FLEXML@
124 GRAMINE_MODE_FALSE = @GRAMINE_MODE_FALSE@
125 GRAMINE_MODE_TRUE = @GRAMINE_MODE_TRUE@
126 GRAS_DEP = @GRAS_DEP@
127 GREP = @GREP@
128 HAVE_FLEXML_FALSE = @HAVE_FLEXML_FALSE@
129 HAVE_FLEXML_TRUE = @HAVE_FLEXML_TRUE@
130 HAVE_SDP_FALSE = @HAVE_SDP_FALSE@
131 HAVE_SDP_TRUE = @HAVE_SDP_TRUE@
132 INSTALL_DATA = @INSTALL_DATA@
133 INSTALL_PROGRAM = @INSTALL_PROGRAM@
134 INSTALL_SCRIPT = @INSTALL_SCRIPT@
135 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
136 LDFLAGS = @LDFLAGS@
137 LD_DYNAMIC_FLAGS = @LD_DYNAMIC_FLAGS@
138 LEX = @LEX@
139 LEXLIB = @LEXLIB@
140 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
141 LIBOBJS = @LIBOBJS@
142 LIBS = @LIBS@
143 LIBTOOL = @LIBTOOL@
144 LN_S = @LN_S@
145 LTLIBOBJS = @LTLIBOBJS@
146 MAINT = @MAINT@
147 MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
148 MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
149 MAKEINFO = @MAKEINFO@
150 MD5SUM = @MD5SUM@
151 OBJDUMP = @OBJDUMP@
152 OBJEXT = @OBJEXT@
153 PACKAGE = @PACKAGE@
154 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
155 PACKAGE_NAME = @PACKAGE_NAME@
156 PACKAGE_STRING = @PACKAGE_STRING@
157 PACKAGE_TARNAME = @PACKAGE_TARNAME@
158 PACKAGE_VERSION = @PACKAGE_VERSION@
159 PATH_SEPARATOR = @PATH_SEPARATOR@
160 PTH_STACK_GROWTH = @PTH_STACK_GROWTH@
161 RANLIB = @RANLIB@
162 SET_MAKE = @SET_MAKE@
163 SHELL = @SHELL@
164 SIMGRID_DEP = @SIMGRID_DEP@
165 STRIP = @STRIP@
166 VERSION = @VERSION@
167 WARNING = @WARNING@
168 abs_builddir = @abs_builddir@
169 abs_srcdir = @abs_srcdir@
170 abs_top_builddir = @abs_top_builddir@
171 abs_top_srcdir = @abs_top_srcdir@
172 ac_configure_args = @ac_configure_args@
173 ac_ct_CC = @ac_ct_CC@
174 ac_ct_CXX = @ac_ct_CXX@
175 ac_ct_F77 = @ac_ct_F77@
176 am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
177 am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
178 am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
179 am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
180 am__include = @am__include@
181 am__leading_dot = @am__leading_dot@
182 am__quote = @am__quote@
183 am__tar = @am__tar@
184 am__untar = @am__untar@
185 bindir = @bindir@
186 build = @build@
187 build_alias = @build_alias@
188 build_cpu = @build_cpu@
189 build_id = @build_id@
190 build_os = @build_os@
191 build_vendor = @build_vendor@
192 datadir = @datadir@
193 datarootdir = @datarootdir@
194 docdir = @docdir@
195 dvidir = @dvidir@
196 exec_prefix = @exec_prefix@
197 host = @host@
198 host_alias = @host_alias@
199 host_cpu = @host_cpu@
200 host_os = @host_os@
201 host_vendor = @host_vendor@
202 htmldir = @htmldir@
203 includedir = @includedir@
204 infodir = @infodir@
205 install_sh = @install_sh@
206 libdir = @libdir@
207 libexecdir = @libexecdir@
208 localedir = @localedir@
209 localstatedir = @localstatedir@
210 mandir = @mandir@
211 mkdir_p = @mkdir_p@
212 oldincludedir = @oldincludedir@
213 pdfdir = @pdfdir@
214 prefix = @prefix@
215 program_transform_name = @program_transform_name@
216 psdir = @psdir@
217 pth_skaddr_makecontext = @pth_skaddr_makecontext@
218 pth_sksize_makecontext = @pth_sksize_makecontext@
219 sbindir = @sbindir@
220 sharedstatedir = @sharedstatedir@
221 sysconfdir = @sysconfdir@
222 target = @target@
223 target_alias = @target_alias@
224 target_cpu = @target_cpu@
225 target_os = @target_os@
226 target_vendor = @target_vendor@
227 INCLUDES = -I$(top_srcdir)/include
228 AM_CFLAGS = -g
229 TESTS = test_rl test_sg
230 EXTRA_DIST = $(NAME).xml $(TESTS)
231 timer_simulator_SOURCES = _timer_simulator.c timer.c
232 timer_simulator_LDADD = $(top_builddir)/src/libsimgrid.la
233 timer_client_SOURCES = _timer_client.c timer.c
234 timer_client_LDADD = $(top_builddir)/src/libgras.la
235
236 # Take care of generatated sources
237 NAME = timer
238 PROCESSES = client
239 CLEANFILES = _$(NAME)_simulator.c $(NAME).mk $(NAME).Makefile.local $(NAME).Makefile.remote $(NAME).deploy.sh \
240              $(foreach proc, $(PROCESSES), _$(NAME)_$(proc).c)
241
242 MOSTLYCLEANFILES = $(NAME).trace
243 all: all-am
244
245 .SUFFIXES:
246 .SUFFIXES: .c .lo .o .obj
247 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/examples/temps-gras-stub.mk $(top_srcdir)/acmacro/dist-files.mk $(am__configure_deps)
248         @for dep in $?; do \
249           case '$(am__configure_deps)' in \
250             *$$dep*) \
251               cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
252                 && exit 0; \
253               exit 1;; \
254           esac; \
255         done; \
256         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  examples/gras/timer/Makefile'; \
257         cd $(top_srcdir) && \
258           $(AUTOMAKE) --gnu  examples/gras/timer/Makefile
259 .PRECIOUS: Makefile
260 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
261         @case '$?' in \
262           *config.status*) \
263             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
264           *) \
265             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
266             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
267         esac;
268
269 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
270         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
271
272 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
273         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
274 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
275         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
276 test_sg: $(top_builddir)/config.status $(srcdir)/test_sg.in
277         cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
278 test_rl: $(top_builddir)/config.status $(srcdir)/test_rl.in
279         cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
280
281 clean-noinstPROGRAMS:
282         @list='$(noinst_PROGRAMS)'; for p in $$list; do \
283           f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
284           echo " rm -f $$p $$f"; \
285           rm -f $$p $$f ; \
286         done
287 timer_client$(EXEEXT): $(timer_client_OBJECTS) $(timer_client_DEPENDENCIES) 
288         @rm -f timer_client$(EXEEXT)
289         $(LINK) $(timer_client_LDFLAGS) $(timer_client_OBJECTS) $(timer_client_LDADD) $(LIBS)
290 timer_simulator$(EXEEXT): $(timer_simulator_OBJECTS) $(timer_simulator_DEPENDENCIES) 
291         @rm -f timer_simulator$(EXEEXT)
292         $(LINK) $(timer_simulator_LDFLAGS) $(timer_simulator_OBJECTS) $(timer_simulator_LDADD) $(LIBS)
293
294 mostlyclean-compile:
295         -rm -f *.$(OBJEXT)
296
297 distclean-compile:
298         -rm -f *.tab.c
299
300 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_timer_client.Po@am__quote@
301 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_timer_simulator.Po@am__quote@
302 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/timer.Po@am__quote@
303
304 .c.o:
305 @am__fastdepCC_TRUE@    if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
306 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
307 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
308 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
309 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
310
311 .c.obj:
312 @am__fastdepCC_TRUE@    if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
313 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
314 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
315 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
316 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
317
318 .c.lo:
319 @am__fastdepCC_TRUE@    if $(LTCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
320 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
321 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
322 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
323 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
324
325 mostlyclean-libtool:
326         -rm -f *.lo
327
328 clean-libtool:
329         -rm -rf .libs _libs
330
331 distclean-libtool:
332         -rm -f libtool
333 uninstall-info-am:
334
335 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
336         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
337         unique=`for i in $$list; do \
338             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
339           done | \
340           $(AWK) '    { files[$$0] = 1; } \
341                END { for (i in files) print i; }'`; \
342         mkid -fID $$unique
343 tags: TAGS
344
345 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
346                 $(TAGS_FILES) $(LISP)
347         tags=; \
348         here=`pwd`; \
349         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
350         unique=`for i in $$list; do \
351             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
352           done | \
353           $(AWK) '    { files[$$0] = 1; } \
354                END { for (i in files) print i; }'`; \
355         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
356           test -n "$$unique" || unique=$$empty_fix; \
357           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
358             $$tags $$unique; \
359         fi
360 ctags: CTAGS
361 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
362                 $(TAGS_FILES) $(LISP)
363         tags=; \
364         here=`pwd`; \
365         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
366         unique=`for i in $$list; do \
367             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
368           done | \
369           $(AWK) '    { files[$$0] = 1; } \
370                END { for (i in files) print i; }'`; \
371         test -z "$(CTAGS_ARGS)$$tags$$unique" \
372           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
373              $$tags $$unique
374
375 GTAGS:
376         here=`$(am__cd) $(top_builddir) && pwd` \
377           && cd $(top_srcdir) \
378           && gtags -i $(GTAGS_ARGS) $$here
379
380 distclean-tags:
381         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
382
383 check-TESTS: $(TESTS)
384         @failed=0; all=0; xfail=0; xpass=0; skip=0; \
385         srcdir=$(srcdir); export srcdir; \
386         list='$(TESTS)'; \
387         if test -n "$$list"; then \
388           for tst in $$list; do \
389             if test -f ./$$tst; then dir=./; \
390             elif test -f $$tst; then dir=; \
391             else dir="$(srcdir)/"; fi; \
392             if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
393               all=`expr $$all + 1`; \
394               case " $(XFAIL_TESTS) " in \
395               *" $$tst "*) \
396                 xpass=`expr $$xpass + 1`; \
397                 failed=`expr $$failed + 1`; \
398                 echo "XPASS: $$tst"; \
399               ;; \
400               *) \
401                 echo "PASS: $$tst"; \
402               ;; \
403               esac; \
404             elif test $$? -ne 77; then \
405               all=`expr $$all + 1`; \
406               case " $(XFAIL_TESTS) " in \
407               *" $$tst "*) \
408                 xfail=`expr $$xfail + 1`; \
409                 echo "XFAIL: $$tst"; \
410               ;; \
411               *) \
412                 failed=`expr $$failed + 1`; \
413                 echo "FAIL: $$tst"; \
414               ;; \
415               esac; \
416             else \
417               skip=`expr $$skip + 1`; \
418               echo "SKIP: $$tst"; \
419             fi; \
420           done; \
421           if test "$$failed" -eq 0; then \
422             if test "$$xfail" -eq 0; then \
423               banner="All $$all tests passed"; \
424             else \
425               banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
426             fi; \
427           else \
428             if test "$$xpass" -eq 0; then \
429               banner="$$failed of $$all tests failed"; \
430             else \
431               banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
432             fi; \
433           fi; \
434           dashes="$$banner"; \
435           skipped=""; \
436           if test "$$skip" -ne 0; then \
437             skipped="($$skip tests were not run)"; \
438             test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
439               dashes="$$skipped"; \
440           fi; \
441           report=""; \
442           if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
443             report="Please report to $(PACKAGE_BUGREPORT)"; \
444             test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
445               dashes="$$report"; \
446           fi; \
447           dashes=`echo "$$dashes" | sed s/./=/g`; \
448           echo "$$dashes"; \
449           echo "$$banner"; \
450           test -z "$$skipped" || echo "$$skipped"; \
451           test -z "$$report" || echo "$$report"; \
452           echo "$$dashes"; \
453           test "$$failed" -eq 0; \
454         else :; fi
455
456 distdir: $(DISTFILES)
457         $(mkdir_p) $(distdir)/../../../acmacro $(distdir)/../../../examples
458         @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
459         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
460         list='$(DISTFILES)'; for file in $$list; do \
461           case $$file in \
462             $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
463             $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
464           esac; \
465           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
466           dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
467           if test "$$dir" != "$$file" && test "$$dir" != "."; then \
468             dir="/$$dir"; \
469             $(mkdir_p) "$(distdir)$$dir"; \
470           else \
471             dir=''; \
472           fi; \
473           if test -d $$d/$$file; then \
474             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
475               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
476             fi; \
477             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
478           else \
479             test -f $(distdir)/$$file \
480             || cp -p $$d/$$file $(distdir)/$$file \
481             || exit 1; \
482           fi; \
483         done
484 check-am: all-am
485         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
486 check: check-am
487 all-am: Makefile $(PROGRAMS)
488 installdirs:
489 install: install-am
490 install-exec: install-exec-am
491 install-data: install-data-am
492 uninstall: uninstall-am
493
494 install-am: all-am
495         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
496
497 installcheck: installcheck-am
498 install-strip:
499         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
500           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
501           `test -z '$(STRIP)' || \
502             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
503 mostlyclean-generic:
504         -test -z "$(MOSTLYCLEANFILES)" || rm -f $(MOSTLYCLEANFILES)
505
506 clean-generic:
507         -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
508
509 distclean-generic:
510         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
511
512 maintainer-clean-generic:
513         @echo "This command is intended for maintainers to use"
514         @echo "it deletes files that may require special tools to rebuild."
515 clean: clean-am
516
517 clean-am: clean-generic clean-libtool clean-noinstPROGRAMS \
518         mostlyclean-am
519
520 distclean: distclean-am
521         -rm -rf ./$(DEPDIR)
522         -rm -f Makefile
523 distclean-am: clean-am distclean-compile distclean-generic \
524         distclean-libtool distclean-tags
525
526 dvi: dvi-am
527
528 dvi-am:
529
530 html: html-am
531
532 info: info-am
533
534 info-am:
535
536 install-data-am:
537
538 install-exec-am:
539
540 install-info: install-info-am
541
542 install-man:
543
544 installcheck-am:
545
546 maintainer-clean: maintainer-clean-am
547         -rm -rf ./$(DEPDIR)
548         -rm -f Makefile
549 maintainer-clean-am: distclean-am maintainer-clean-generic
550
551 mostlyclean: mostlyclean-am
552
553 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
554         mostlyclean-libtool
555
556 pdf: pdf-am
557
558 pdf-am:
559
560 ps: ps-am
561
562 ps-am:
563
564 uninstall-am: uninstall-info-am
565
566 .PHONY: CTAGS GTAGS all all-am check check-TESTS check-am clean \
567         clean-generic clean-libtool clean-noinstPROGRAMS ctags \
568         distclean distclean-compile distclean-generic \
569         distclean-libtool distclean-tags distdir dvi dvi-am html \
570         html-am info info-am install install-am install-data \
571         install-data-am install-exec install-exec-am install-info \
572         install-info-am install-man install-strip installcheck \
573         installcheck-am installdirs maintainer-clean \
574         maintainer-clean-generic mostlyclean mostlyclean-compile \
575         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
576         tags uninstall uninstall-am uninstall-info-am
577
578
579 $(foreach proc, $(PROCESSES), _$(NAME)_$(proc).c) _$(NAME)_simulator.c: $(srcdir)/$(NAME).xml $(top_builddir)/tools/gras/gras_stub_generator@EXEEXT@
580         [ x@EXEEXT@ = x ] || exenv=wine; $$exenv $(top_builddir)/tools/gras/gras_stub_generator@EXEEXT@ $(NAME) $(srcdir)/$(NAME).xml
581
582 $(top_builddir)/tools/gras/gras_stub_generator@EXEEXT@:
583         make -C $(top_builddir)/tools/gras/ gras_stub_generator@EXEEXT@
584
585 dist-files:
586         @for n in $(DISTFILES) ; do echo $(SRCFILE)$$n; done
587         @echo
588         @for n in $(DIST_SUBDIRS) ; do if [ x$$n != x. ] ; then $(MAKE) -C $$n dist-files SRCFILE=$(SRCFILE)$$n/ ; fi; done
589
590 # Cruft
591 # Tell versions [3.59,3.63) of GNU make to not export all variables.
592 # Otherwise a system limit (for SysV at least) may be exceeded.
593 .NOEXPORT: